local i = 1
while data.raw["technology"]["laser-turret-damage-"..i] do 
  local tech = data.raw["technology"]["laser-turret-damage-"..i]
  if tech.effects then
    for _, effect in pairs(tech.effects) do 
      if effect.type == "ammo-damage" and effect.ammo_category == "laser-turret" then
        table.insert(
          tech.effects,
          {
            type = "ammo-damage",
            ammo_category = "laser-cannon",
            modifier = effect.modifier
          }
        )
      end
    end
  end
  i = i + 1
end

data:extend({
  {
    type = "technology",
    name = "aai-vehicles-laser-tank",
    icon = "__aai-vehicles-laser-tank__/graphics/technology/laser-tank.png",
    icon_size = 128,
    prerequisites =
    {
      "tanks",
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "vehicle-laser-tank"
      },
      {
        type = "unlock-recipe",
        recipe = "laser-cannon-battery-piercing"
      },
      {
        type = "unlock-recipe",
        recipe = "laser-cannon-battery-focussed"
      },
    },
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
      },
      time = 30
    },
    order = "e-c-c2",
    upgrade = "true",
  },
  {
    type = "technology",
    name = "aai-vehicles-laser-tank-2",
    icon = "__aai-vehicles-laser-tank__/graphics/technology/laser-tank.png",
    icon_size = 128,
    prerequisites =
    {
      "aai-vehicles-laser-tank",
      "advanced-electronics-2"
    },
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "vehicle-laser-tank-2"
      },
    },
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"military-science-pack", 1},
      },
      time = 45
    },
    order = "e-c-c2",
    upgrade = "true",
  },
})
